Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.instrumentation.asm
Class AsmAnnotationHelper.MethodAnnotationExtractor

    java.lang.Object
      org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
          org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.MethodAnnotationExtractor

All Implemented Interfaces:
  org.objectweb.asm.ClassVisitor

Direct Known Subclasses:
  AsmAnnotationHelper.ConstructorAnnotationExtractor

Enclosing class:
  AsmAnnotationHelper

    public static class AsmAnnotationHelper.MethodAnnotationExtractor

extends AsmAnnotationHelper.NullClassAdapter

Method annotations extractor

Field Summary

Fields inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`NULL_CLASS_ADAPTER`

Constructor Summary
`AsmAnnotationHelper.MethodAnnotationExtractor(List annotations, String name, String desc, ClassLoader loader)`

Method Summary
`org.objectweb.asm.CodeVisitor` | `visitMethod(int access, String name, String desc, String[] exceptions, org.objectweb.asm.Attribute attrs)`

Methods inherited from class org.codehaus.aspectwerkz.annotation.instrumentation.asm.AsmAnnotationHelper.NullClassAdapter
`visit, visitAttribute, visitEnd, visitField, visitInnerClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsmAnnotationHelper.MethodAnnotationExtractor

    public AsmAnnotationHelper.MethodAnnotationExtractor(List annotations,
                                                         String name,
                                                         String desc,
                                                         ClassLoader loader)

Method Detail

### visitMethod

    public org.objectweb.asm.CodeVisitor visitMethod(int access,
                                                     String name,
                                                     String desc,
                                                     String[] exceptions,
                                                     org.objectweb.asm.Attribute attrs)

  Specified by:
    `visitMethod` in interface `org.objectweb.asm.ClassVisitor`
  Overrides:
    `visitMethod` in class `AsmAnnotationHelper.NullClassAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.